Summary: Browser default start page for CentOS
Name: centos-indexhtml
Version: 6
Release: 3%{?dist}.idforge
Source: %{name}-%{version}.tar.gz
License: Distributable
Group: Documentation
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes: indexhtml <= 2:5-1
Provides: redhat-indexhtml

Requires: redhat-logos >= 60.0.14-13

%description
The indexhtml package contains the welcome page shown by your Web browser,
which you'll see after you've successfully installed CentOS Linux

%prep
if [[ -d %{name}-%{version} ]];then
    rm -r %{name}-%{version}
fi
mkdir %{name}-%{version}
# idforge: copy files from idFORGE framework
cp -a /usr/share/idforge-artwork-centos/Models/indexhtml/* %{name}-%{version}/
# idforge: replace translation markers before installing.
sed -i 's,=RELEASE=,'%{version}',g' %{name}-%{version}/index.html
sed -i 's,=YEAR=,'$(date "+%Y")',g' %{name}-%{version}/index.html
#
tar -czf ../SOURCES/%{name}-%{version}.tar.gz %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}/HTML
cp -a %{name}-%{version}/* ${RPM_BUILD_ROOT}%{_defaultdocdir}/HTML/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_defaultdocdir}/HTML/*

%changelog
* Tue Jun 30 2015 Alain Reguera Delgado <alain.reguera@gmail.com> - 6-3.el6.idforge
- Remove centos-logo.png image
- Remove header-background.png image
- Reuse anaconda splash which already includes the CentOS logo and the
  visual style.
- Change html-background.png to use the same one we have in the wiki.
- Update content layout in a more vertical design.
- Add CentOS copyright and license based on EULA file.
- Rebuild using information provided by idforge-artwork-centos package.

* Fri Oct 24 2014 Johnny Hughes <johnny@centos.org> - 6-2.el6.centos
- Updated Branding

* Wed Jun 29 2011 Karanbir Singh <kbsingh@centos.org> 6-1.el6.centos
- Roll in CentOS Branding
